# ------------------
# Sugar
# QQ: 932180146
# ------------------

module RBC

  # 加载Lib.
  # @param [String] ext_name
  # @return [Boolean]
  # @since 6.3.0
  def self.check_lib5(ext, mv, rv, fv)
    return false if @lib_update && Sketchup.version.to_i < 17
    unless defined?(RBC::RBC_EXTENSION)
      # require RBC library.
      begin
        require 'RBC_Library_load.rb'
      rescue LoadError => e
        p e
      end
    end
    # check version.
    if defined?(RBC::RBC_VERSION_) && RBC::RBC_VERSION_[0] == mv && RBC::RBC_VERSION_[1] >= rv && RBC::RBC_VERSION_[2] >= fv
      true
    else
      msg = "#{ext.name}: More than #{ext.version} versions of RBC must be installed!(必须安装使用 #{ext.version} 版本以上的RBC Library!)"
      Sketchup.status_text = msg
      if Sketchup.version.to_i >= 17
        n = UI::Notification.new(ext, msg, File.join(__dir__, 'logo.png'), 'RBC')
        n.on_accept('Accept') {|notification, title|}
        n.show
      else
        UI.messagebox(msg)
      end
      @check_lib = true
      false
    end
  end
end# module RBC

module RBC
  module Extensions
    module AlignTools

      NAME         = "RBC_AlignTools"
      VERSION      = "7.0.0"
      CREATOR      = 'Sugar'.freeze
      PLUGIN_PATH = __FILE__.force_encoding('UTF-8').freeze
      DIR_NAME     = (NAME+'_v'+VERSION).freeze
      PLUGIN_DIR     = File.join(File.dirname(PLUGIN_PATH), DIR_NAME).freeze

      EXTENSION = SketchupExtension.new(NAME, File.join(PLUGIN_DIR, 'core'))
      EXTENSION.description = "This tool is used to align objects."
      EXTENSION.copyright   = "Copyright (c) #{Time.new.year} Sugar All rights reserved."
      EXTENSION.version     = VERSION
      EXTENSION.creator     = CREATOR
      Sketchup.register_extension(EXTENSION, RBC.check_lib5(EXTENSION, 7, 0, 0))

    end# module AlignTools
  end# module Extensions
end# module RBC
